package ggg.gg;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "ggg.gg", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "ggg.gg", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _timer1 = null;
public static anywheresoftware.b4a.objects.Timer _timer2 = null;
public static anywheresoftware.b4a.objects.Timer _timer3 = null;
public anywheresoftware.b4a.objects.PanelWrapper[] _panel1 = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview1 = null;
public static int _pp1 = 0;
public static int _pp2 = 0;
public static int _pp3 = 0;
public static String _vv1 = "";
public static String _vv2 = "";
public static String _vv3 = "";
public anywheresoftware.b4a.objects.LabelWrapper _l1 = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview2 = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public static String _fi = "";
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
int _ii = 0;
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 27;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 29;BA.debugLine="Timer1.Initialize(\"Timer1\", 700) ' 1000 = 1 second";
Debug.ShouldStop(268435456);
_timer1.Initialize(processBA,"Timer1",(long)(700));
 BA.debugLineNum = 30;BA.debugLine="Timer2.Initialize(\"Timer2\", 700) ' 1000 = 1 second";
Debug.ShouldStop(536870912);
_timer2.Initialize(processBA,"Timer2",(long)(700));
 BA.debugLineNum = 31;BA.debugLine="Timer3.Initialize(\"Timer3\", 700) ' 1000 = 1 second";
Debug.ShouldStop(1073741824);
_timer3.Initialize(processBA,"Timer3",(long)(700));
 BA.debugLineNum = 35;BA.debugLine="Activity.LoadLayout(\"main\")";
Debug.ShouldStop(4);
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 BA.debugLineNum = 36;BA.debugLine="For ii = 0 To 2";
Debug.ShouldStop(8);
{
final double step21 = 1;
final double limit21 = (int)(2);
for (_ii = (int)(0); (step21 > 0 && _ii <= limit21) || (step21 < 0 && _ii >= limit21); _ii += step21) {
Debug.locals.put("ii", _ii);
 BA.debugLineNum = 37;BA.debugLine="If ii=0 Then";
Debug.ShouldStop(16);
if (_ii==0) { 
 BA.debugLineNum = 38;BA.debugLine="Panel1(ii)= ScrollView1.Panel";
Debug.ShouldStop(32);
mostCurrent._panel1[_ii] = mostCurrent._scrollview1.getPanel();
 BA.debugLineNum = 39;BA.debugLine="For i = -2 To 25";
Debug.ShouldStop(64);
{
final double step24 = 1;
final double limit24 = (int)(25);
for (_i = (int)(-2); (step24 > 0 && _i <= limit24) || (step24 < 0 && _i >= limit24); _i += step24) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 40;BA.debugLine="Dim Label1 As Label";
Debug.ShouldStop(128);
_label1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 41;BA.debugLine="Label1.Initialize(\"\")";
Debug.ShouldStop(256);
_label1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 42;BA.debugLine="Label1.Color=Colors.LightGray";
Debug.ShouldStop(512);
_label1.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 43;BA.debugLine="Label1.textColor=Colors.Black";
Debug.ShouldStop(1024);
_label1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 44;BA.debugLine="Label1.TextSize=24";
Debug.ShouldStop(2048);
_label1.setTextSize((float)(24));
 BA.debugLineNum = 45;BA.debugLine="Label1.Gravity=Gravity.CENTER";
Debug.ShouldStop(4096);
_label1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
 BA.debugLineNum = 46;BA.debugLine="If i>-1 AND i<24 Then Label1.Text=i";
Debug.ShouldStop(8192);
if (_i>-1 && _i<24) { 
_label1.setText((Object)(_i));};
 BA.debugLineNum = 47;BA.debugLine="Panel1(ii).AddView(Label1,3,(i+2)*55,96,58)";
Debug.ShouldStop(16384);
mostCurrent._panel1[_ii].AddView((android.view.View)(_label1.getObject()),(int)(3),(int)((_i+2)*55),(int)(96),(int)(58));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 49;BA.debugLine="Panel1(ii).Height=55*i+111";
Debug.ShouldStop(65536);
mostCurrent._panel1[_ii].setHeight((int)(55*_i+111));
 };
 BA.debugLineNum = 52;BA.debugLine="If ii=1 Then";
Debug.ShouldStop(524288);
if (_ii==1) { 
 BA.debugLineNum = 53;BA.debugLine="Panel1(ii)= ScrollView2.Panel";
Debug.ShouldStop(1048576);
mostCurrent._panel1[_ii] = mostCurrent._scrollview2.getPanel();
 BA.debugLineNum = 54;BA.debugLine="For i = -2 To 61";
Debug.ShouldStop(2097152);
{
final double step38 = 1;
final double limit38 = (int)(61);
for (_i = (int)(-2); (step38 > 0 && _i <= limit38) || (step38 < 0 && _i >= limit38); _i += step38) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 55;BA.debugLine="Dim Label1 As Label";
Debug.ShouldStop(4194304);
_label1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 56;BA.debugLine="Label1.Initialize(\"\")";
Debug.ShouldStop(8388608);
_label1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 57;BA.debugLine="Label1.Color=Colors.LightGray";
Debug.ShouldStop(16777216);
_label1.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 58;BA.debugLine="Label1.textColor=Colors.Black";
Debug.ShouldStop(33554432);
_label1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 59;BA.debugLine="Label1.TextSize=24";
Debug.ShouldStop(67108864);
_label1.setTextSize((float)(24));
 BA.debugLineNum = 60;BA.debugLine="Label1.Gravity=Gravity.CENTER";
Debug.ShouldStop(134217728);
_label1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
 BA.debugLineNum = 61;BA.debugLine="If i>-1 AND i<60 Then";
Debug.ShouldStop(268435456);
if (_i>-1 && _i<60) { 
 BA.debugLineNum = 62;BA.debugLine="fi=\"0\"&i";
Debug.ShouldStop(536870912);
mostCurrent._fi = "0"+BA.NumberToString(_i);
 BA.debugLineNum = 63;BA.debugLine="fi=fi.SubString(fi.Length-2)";
Debug.ShouldStop(1073741824);
mostCurrent._fi = mostCurrent._fi.substring((int)(mostCurrent._fi.length()-2));
 BA.debugLineNum = 64;BA.debugLine="Label1.Text=fi";
Debug.ShouldStop(-2147483648);
_label1.setText((Object)(mostCurrent._fi));
 };
 BA.debugLineNum = 66;BA.debugLine="Panel1(ii).AddView(Label1,3,(i+2)*55,96,58)";
Debug.ShouldStop(2);
mostCurrent._panel1[_ii].AddView((android.view.View)(_label1.getObject()),(int)(3),(int)((_i+2)*55),(int)(96),(int)(58));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 68;BA.debugLine="Panel1(ii).Height=55*i+111";
Debug.ShouldStop(8);
mostCurrent._panel1[_ii].setHeight((int)(55*_i+111));
 };
 BA.debugLineNum = 71;BA.debugLine="If ii=2 Then";
Debug.ShouldStop(64);
if (_ii==2) { 
 BA.debugLineNum = 72;BA.debugLine="Panel1(ii)= ScrollView3.Panel";
Debug.ShouldStop(128);
mostCurrent._panel1[_ii] = mostCurrent._scrollview3.getPanel();
 BA.debugLineNum = 73;BA.debugLine="For i = -2 To 61";
Debug.ShouldStop(256);
{
final double step56 = 1;
final double limit56 = (int)(61);
for (_i = (int)(-2); (step56 > 0 && _i <= limit56) || (step56 < 0 && _i >= limit56); _i += step56) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 74;BA.debugLine="Dim Label1 As Label";
Debug.ShouldStop(512);
_label1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 75;BA.debugLine="Label1.Initialize(\"\")";
Debug.ShouldStop(1024);
_label1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 76;BA.debugLine="Label1.Color=Colors.LightGray";
Debug.ShouldStop(2048);
_label1.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 77;BA.debugLine="Label1.textColor=Colors.Black";
Debug.ShouldStop(4096);
_label1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 78;BA.debugLine="Label1.TextSize=24";
Debug.ShouldStop(8192);
_label1.setTextSize((float)(24));
 BA.debugLineNum = 79;BA.debugLine="Label1.Gravity=Gravity.CENTER";
Debug.ShouldStop(16384);
_label1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
 BA.debugLineNum = 80;BA.debugLine="If i>-1 AND i<60 Then";
Debug.ShouldStop(32768);
if (_i>-1 && _i<60) { 
 BA.debugLineNum = 81;BA.debugLine="fi=\"0\"&i";
Debug.ShouldStop(65536);
mostCurrent._fi = "0"+BA.NumberToString(_i);
 BA.debugLineNum = 82;BA.debugLine="fi=fi.SubString(fi.Length-2)";
Debug.ShouldStop(131072);
mostCurrent._fi = mostCurrent._fi.substring((int)(mostCurrent._fi.length()-2));
 BA.debugLineNum = 83;BA.debugLine="Label1.Text=fi";
Debug.ShouldStop(262144);
_label1.setText((Object)(mostCurrent._fi));
 };
 BA.debugLineNum = 85;BA.debugLine="Panel1(ii).AddView(Label1,3,(i+2)*55,96,58)";
Debug.ShouldStop(1048576);
mostCurrent._panel1[_ii].AddView((android.view.View)(_label1.getObject()),(int)(3),(int)((_i+2)*55),(int)(96),(int)(58));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 87;BA.debugLine="Panel1(ii).Height=55*i+111";
Debug.ShouldStop(4194304);
mostCurrent._panel1[_ii].setHeight((int)(55*_i+111));
 };
 BA.debugLineNum = 91;BA.debugLine="Panel1(ii).Color = Colors.DarkGray";
Debug.ShouldStop(67108864);
mostCurrent._panel1[_ii].setColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
 BA.debugLineNum = 92;BA.debugLine="Dim Label1 As Label";
Debug.ShouldStop(134217728);
_label1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 93;BA.debugLine="Dim i As Int";
Debug.ShouldStop(268435456);
_i = 0;Debug.locals.put("i", _i);
 }
}Debug.locals.put("ii", _ii);
;
 BA.debugLineNum = 96;BA.debugLine="pp1=Rnd(0,12)*55";
Debug.ShouldStop(-2147483648);
_pp1 = (int)(anywheresoftware.b4a.keywords.Common.Rnd((int)(0),(int)(12))*55);
 BA.debugLineNum = 97;BA.debugLine="pp2=Rnd(0,59)*55";
Debug.ShouldStop(1);
_pp2 = (int)(anywheresoftware.b4a.keywords.Common.Rnd((int)(0),(int)(59))*55);
 BA.debugLineNum = 98;BA.debugLine="pp3=Rnd(0,59)*55";
Debug.ShouldStop(2);
_pp3 = (int)(anywheresoftware.b4a.keywords.Common.Rnd((int)(0),(int)(59))*55);
 BA.debugLineNum = 99;BA.debugLine="DoEvents";
Debug.ShouldStop(4);
anywheresoftware.b4a.keywords.Common.DoEvents();
 BA.debugLineNum = 100;BA.debugLine="Timer1_Tick";
Debug.ShouldStop(8);
_timer1_tick();
 BA.debugLineNum = 101;BA.debugLine="Timer2_Tick";
Debug.ShouldStop(16);
_timer2_tick();
 BA.debugLineNum = 102;BA.debugLine="Timer3_Tick";
Debug.ShouldStop(32);
_timer3_tick();
 BA.debugLineNum = 104;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 110;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(8192);
 BA.debugLineNum = 112;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 106;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(512);
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 33042, new int[] {5} );}

    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static void killProgram() {
    
            if (main.previousOne != null) {
				Activity a = main.previousOne.get();
				if (a != null)
					a.finish();
			}

}
public static String  _globals() throws Exception{
 BA.debugLineNum = 11;BA.debugLine="Sub Globals";
 BA.debugLineNum = 15;BA.debugLine="Dim Panel1(3) As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper[(int)(3)];
{
int d0 = mostCurrent._panel1.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._panel1[i0] = new anywheresoftware.b4a.objects.PanelWrapper();
}
}
;
 BA.debugLineNum = 16;BA.debugLine="Dim ScrollView1 As ScrollView";
mostCurrent._scrollview1 = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 BA.debugLineNum = 17;BA.debugLine="Dim pp1,pp2,pp3 As Int   'ScrollView Positions";
_pp1 = 0;
_pp2 = 0;
_pp3 = 0;
 BA.debugLineNum = 18;BA.debugLine="Dim vv1,vv2,vv3 As String'selected value";
mostCurrent._vv1 = "";
mostCurrent._vv2 = "";
mostCurrent._vv3 = "";
 BA.debugLineNum = 20;BA.debugLine="Dim L1 As Label";
mostCurrent._l1 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 21;BA.debugLine="Dim ScrollView2 As ScrollView";
mostCurrent._scrollview2 = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 BA.debugLineNum = 22;BA.debugLine="Dim ScrollView3 As ScrollView";
mostCurrent._scrollview3 = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 BA.debugLineNum = 23;BA.debugLine="Dim Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 24;BA.debugLine="Dim fi";
mostCurrent._fi = "";
 BA.debugLineNum = 25;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 BA.debugLineNum = 5;BA.debugLine="Dim Timer1 As Timer";
_timer1 = new anywheresoftware.b4a.objects.Timer();
 BA.debugLineNum = 6;BA.debugLine="Dim Timer2 As Timer";
_timer2 = new anywheresoftware.b4a.objects.Timer();
 BA.debugLineNum = 7;BA.debugLine="Dim Timer3 As Timer";
_timer3 = new anywheresoftware.b4a.objects.Timer();
 BA.debugLineNum = 9;BA.debugLine="End Sub";
return "";
}
public static String  _scrollview1_scrollchanged(int _position) throws Exception{
		Debug.PushSubsStack("ScrollView1_ScrollChanged (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Position", _position);
 BA.debugLineNum = 116;BA.debugLine="Sub ScrollView1_ScrollChanged(Position As Int)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 118;BA.debugLine="pp1=Position";
Debug.ShouldStop(2097152);
_pp1 = _position;
 BA.debugLineNum = 119;BA.debugLine="Timer1.Enabled = True";
Debug.ShouldStop(4194304);
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 120;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _scrollview2_scrollchanged(int _position) throws Exception{
		Debug.PushSubsStack("ScrollView2_ScrollChanged (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Position", _position);
 BA.debugLineNum = 121;BA.debugLine="Sub ScrollView2_ScrollChanged(Position As Int)";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 123;BA.debugLine="pp2=Position";
Debug.ShouldStop(67108864);
_pp2 = _position;
 BA.debugLineNum = 124;BA.debugLine="Timer2.Enabled = True";
Debug.ShouldStop(134217728);
_timer2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 125;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _scrollview3_scrollchanged(int _position) throws Exception{
		Debug.PushSubsStack("ScrollView3_ScrollChanged (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Position", _position);
 BA.debugLineNum = 126;BA.debugLine="Sub ScrollView3_ScrollChanged(Position As Int)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 128;BA.debugLine="pp3=Position";
Debug.ShouldStop(-2147483648);
_pp3 = _position;
 BA.debugLineNum = 129;BA.debugLine="Timer3.Enabled = True";
Debug.ShouldStop(1);
_timer3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 130;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _timer1_tick() throws Exception{
		Debug.PushSubsStack("Timer1_Tick (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 132;BA.debugLine="Sub Timer1_Tick";
Debug.ShouldStop(8);
 BA.debugLineNum = 133;BA.debugLine="ScrollView1.ScrollPosition=Round(pp1/55)*55+5";
Debug.ShouldStop(16);
mostCurrent._scrollview1.setScrollPosition((int)(anywheresoftware.b4a.keywords.Common.Round(_pp1/(double)55)*55+5));
 BA.debugLineNum = 134;BA.debugLine="Timer1.Enabled = False";
Debug.ShouldStop(32);
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 135;BA.debugLine="vv1=Round(pp1/55)";
Debug.ShouldStop(64);
mostCurrent._vv1 = BA.NumberToString(anywheresoftware.b4a.keywords.Common.Round(_pp1/(double)55));
 BA.debugLineNum = 136;BA.debugLine="Activity.Title=vv1&\":\"&vv2&\":\"&vv3";
Debug.ShouldStop(128);
mostCurrent._activity.setTitle((Object)(mostCurrent._vv1+":"+mostCurrent._vv2+":"+mostCurrent._vv3));
 BA.debugLineNum = 137;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _timer2_tick() throws Exception{
		Debug.PushSubsStack("Timer2_Tick (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 138;BA.debugLine="Sub Timer2_Tick";
Debug.ShouldStop(512);
 BA.debugLineNum = 139;BA.debugLine="ScrollView2.ScrollPosition=Round(pp2/55)*55+5";
Debug.ShouldStop(1024);
mostCurrent._scrollview2.setScrollPosition((int)(anywheresoftware.b4a.keywords.Common.Round(_pp2/(double)55)*55+5));
 BA.debugLineNum = 140;BA.debugLine="Timer2.Enabled = False";
Debug.ShouldStop(2048);
_timer2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 141;BA.debugLine="vv2=Round(pp2/55)";
Debug.ShouldStop(4096);
mostCurrent._vv2 = BA.NumberToString(anywheresoftware.b4a.keywords.Common.Round(_pp2/(double)55));
 BA.debugLineNum = 142;BA.debugLine="vv2=\"0\"&vv2";
Debug.ShouldStop(8192);
mostCurrent._vv2 = "0"+mostCurrent._vv2;
 BA.debugLineNum = 143;BA.debugLine="vv2=vv2.SubString(vv2.Length-2)";
Debug.ShouldStop(16384);
mostCurrent._vv2 = mostCurrent._vv2.substring((int)(mostCurrent._vv2.length()-2));
 BA.debugLineNum = 144;BA.debugLine="Activity.Title=vv1&\":\"&vv2&\":\"&vv3";
Debug.ShouldStop(32768);
mostCurrent._activity.setTitle((Object)(mostCurrent._vv1+":"+mostCurrent._vv2+":"+mostCurrent._vv3));
 BA.debugLineNum = 145;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _timer3_tick() throws Exception{
		Debug.PushSubsStack("Timer3_Tick (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 147;BA.debugLine="Sub Timer3_Tick";
Debug.ShouldStop(262144);
 BA.debugLineNum = 148;BA.debugLine="ScrollView3.ScrollPosition=Round(pp3/55)*55+5";
Debug.ShouldStop(524288);
mostCurrent._scrollview3.setScrollPosition((int)(anywheresoftware.b4a.keywords.Common.Round(_pp3/(double)55)*55+5));
 BA.debugLineNum = 149;BA.debugLine="Timer3.Enabled = False";
Debug.ShouldStop(1048576);
_timer3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 150;BA.debugLine="vv3=Round(pp3/55)";
Debug.ShouldStop(2097152);
mostCurrent._vv3 = BA.NumberToString(anywheresoftware.b4a.keywords.Common.Round(_pp3/(double)55));
 BA.debugLineNum = 151;BA.debugLine="vv3=\"0\"&vv3";
Debug.ShouldStop(4194304);
mostCurrent._vv3 = "0"+mostCurrent._vv3;
 BA.debugLineNum = 152;BA.debugLine="vv3=vv3.SubString(vv3.Length-2)";
Debug.ShouldStop(8388608);
mostCurrent._vv3 = mostCurrent._vv3.substring((int)(mostCurrent._vv3.length()-2));
 BA.debugLineNum = 153;BA.debugLine="Activity.Title=vv1&\":\"&vv2&\":\"&vv3";
Debug.ShouldStop(16777216);
mostCurrent._activity.setTitle((Object)(mostCurrent._vv1+":"+mostCurrent._vv2+":"+mostCurrent._vv3));
 BA.debugLineNum = 154;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
  public Object[] GetGlobals() {
		return new Object[] {"Activity",_activity,"Timer1",_timer1,"Timer2",_timer2,"Timer3",_timer3,"Panel1",_panel1,"ScrollView1",_scrollview1,"pp1",_pp1,"pp2",_pp2,"pp3",_pp3,"vv1",_vv1,"vv2",_vv2,"vv3",_vv3,"L1",_l1,"ScrollView2",_scrollview2,"ScrollView3",_scrollview3,"Label2",_label2,"fi",_fi};
}
}
